curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/leads \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/leads"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"leads": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"status": "open",
"unique_number": "L-001",
"email": "eve@example.com",
"phone_number": "",
"contact": {
"id": null,
"name": "Eve"
},
"company": {
"id": null,
"name": null
},
"owner": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Oliver",
"status": "converted",
"unique_number": "L-002",
"email": "oliver@example.com",
"phone_number": "+1555123456",
"contact": {
"id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
"name": "Oliver"
},
"company": {
"id": "d2e3f4a5-b6c7-8901-def0-234567890123",
"name": "Oliver Industries"
},
"owner": null,
"tags": [],
"created_at": "2025-03-14T14:22:00.000Z",
"updated_at": "2025-03-14T14:22:00.000Z"
}
],
"pagination": {
"total_records": 42,
"total_pages": 2,
"current_page_number": 1,
"page_size": 30
}
}List leads
Retrieve a list of all leads in your workspace. Results are ordered by creation date (newest first).
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/leads \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/leads"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"leads": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"status": "open",
"unique_number": "L-001",
"email": "eve@example.com",
"phone_number": "",
"contact": {
"id": null,
"name": "Eve"
},
"company": {
"id": null,
"name": null
},
"owner": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Oliver",
"status": "converted",
"unique_number": "L-002",
"email": "oliver@example.com",
"phone_number": "+1555123456",
"contact": {
"id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
"name": "Oliver"
},
"company": {
"id": "d2e3f4a5-b6c7-8901-def0-234567890123",
"name": "Oliver Industries"
},
"owner": null,
"tags": [],
"created_at": "2025-03-14T14:22:00.000Z",
"updated_at": "2025-03-14T14:22:00.000Z"
}
],
"pagination": {
"total_records": 42,
"total_pages": 2,
"current_page_number": 1,
"page_size": 30
}
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Response
Successfully retrieved leads.
List of leads.
Hide child attributes
Hide child attributes
Unique identifier for the lead.
Name of the lead.
Current status of the lead.
open, converted, archived Auto-generated unique number for the lead.
Email address of the lead (from associated contact).
Phone number of the lead (from associated contact).
Owner of the lead.
Timestamp when the lead was created.
Timestamp when the lead was last updated.